<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: directed_graphm&lt; CVertex &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classdirected__graphm-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">directed_graphm&lt; CVertex &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ac2dbd288e6e286a4c30b5e046acc2006"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2dbd288e6e286a4c30b5e046acc2006"></a>
typedef <a class="el" href="structgraph__traits.html">graph_traits</a>&lt; CVertex &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trait_type</b></td></tr>
<tr class="separator:ac2dbd288e6e286a4c30b5e046acc2006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64edbdc463d00e2d8fbd7bcc875af921"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64edbdc463d00e2d8fbd7bcc875af921"></a>
typedef trait_type::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:a64edbdc463d00e2d8fbd7bcc875af921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fa43a8683d557a4fa31bcdf0c0f0dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35fa43a8683d557a4fa31bcdf0c0f0dc"></a>
typedef trait_type::EDGE_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_TYPE</b></td></tr>
<tr class="separator:a35fa43a8683d557a4fa31bcdf0c0f0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f6eedbebc550d279dc3ca8c736217d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f6eedbebc550d279dc3ca8c736217d9"></a>
typedef trait_type::LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_LIST_TYPE</b></td></tr>
<tr class="separator:a2f6eedbebc550d279dc3ca8c736217d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f89b3abe1d839c75baa4cb1b90c1ca0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f89b3abe1d839c75baa4cb1b90c1ca0"></a>
typedef trait_type::VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_ITERATOR</b></td></tr>
<tr class="separator:a1f89b3abe1d839c75baa4cb1b90c1ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8309fd9909c6e91deb4556e4759b5740"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8309fd9909c6e91deb4556e4759b5740"></a>
typedef CVertex&#160;</td><td class="memItemRight" valign="bottom"><b>VERTEX_TYPE</b></td></tr>
<tr class="separator:a8309fd9909c6e91deb4556e4759b5740"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a31a8bf08efd2dabf488d43b46fc2598f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31a8bf08efd2dabf488d43b46fc2598f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>directed_graphm</b> (VERTEX_LIST_TYPE &amp;init_adj_list)</td></tr>
<tr class="separator:a31a8bf08efd2dabf488d43b46fc2598f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22c54a8835f652ec6e22a357f5377338"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22c54a8835f652ec6e22a357f5377338"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>create_vertices</b> (ID_TYPE numVertices)</td></tr>
<tr class="separator:a22c54a8835f652ec6e22a357f5377338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35556301d93244f0dc538a82c615c8a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35556301d93244f0dc538a82c615c8a7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex</b> (CVertex &amp;x)</td></tr>
<tr class="separator:a35556301d93244f0dc538a82c615c8a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e2dc2bfde77e5bca7397f55948b25a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e2dc2bfde77e5bca7397f55948b25a9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a9e2dc2bfde77e5bca7397f55948b25a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac781b02a064575790dc13eb7c3262c79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac781b02a064575790dc13eb7c3262c79"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:ac781b02a064575790dc13eb7c3262c79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a768ed6f083da40fe63b1e7472b511558"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a768ed6f083da40fe63b1e7472b511558"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (ID_TYPE src, ID_TYPE target)</td></tr>
<tr class="separator:a768ed6f083da40fe63b1e7472b511558"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01c16805d488ee5fd7d0f407c42053a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01c16805d488ee5fd7d0f407c42053a6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a01c16805d488ee5fd7d0f407c42053a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f5639dbd2cd76c388b5ddf9343c48e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f5639dbd2cd76c388b5ddf9343c48e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:a6f5639dbd2cd76c388b5ddf9343c48e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2423133829bbb925fdc53f3b0ddab735"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2423133829bbb925fdc53f3b0ddab735"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>add_vertex_consistent</b> (CVertex &amp;x)</td></tr>
<tr class="separator:a2423133829bbb925fdc53f3b0ddab735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e9437fe6a414906566b13fcd623865e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e9437fe6a414906566b13fcd623865e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_vertex_consistent</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a3e9437fe6a414906566b13fcd623865e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e95a45a4ab44c3cc3337ac0a84c2bc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e95a45a4ab44c3cc3337ac0a84c2bc0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge_consistent</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:a1e95a45a4ab44c3cc3337ac0a84c2bc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb976c25628d3bf8fcb3673e23462b40"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb976c25628d3bf8fcb3673e23462b40"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge_consistent</b> (EDGE_TYPE &amp;edge)</td></tr>
<tr class="separator:adb976c25628d3bf8fcb3673e23462b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9f5a48cdb12010a0e193e8303bd178a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9f5a48cdb12010a0e193e8303bd178a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge_consistent</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:ab9f5a48cdb12010a0e193e8303bd178a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6ba092accdf244bd8d45afdbbed5a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f6ba092accdf244bd8d45afdbbed5a8"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_vertices</b> ()</td></tr>
<tr class="separator:a0f6ba092accdf244bd8d45afdbbed5a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefe81c75b2b99f81082b1fd41238c5a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefe81c75b2b99f81082b1fd41238c5a4"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_edges</b> ()</td></tr>
<tr class="separator:aefe81c75b2b99f81082b1fd41238c5a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a289c57a4b90dae336ab6cf7037b9b56d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a289c57a4b90dae336ab6cf7037b9b56d"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>begin</b> ()</td></tr>
<tr class="separator:a289c57a4b90dae336ab6cf7037b9b56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c2140ea8898b2b7b153fd4b5195ec0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31c2140ea8898b2b7b153fd4b5195ec0"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>end</b> ()</td></tr>
<tr class="separator:a31c2140ea8898b2b7b153fd4b5195ec0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a425cc8cf8f9f7e4a60b94af3676f694e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a425cc8cf8f9f7e4a60b94af3676f694e"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_veretex</b> (ID_TYPE &amp;id)</td></tr>
<tr class="separator:a425cc8cf8f9f7e4a60b94af3676f694e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ea9d08cbf500f57c8b517999eb63643"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ea9d08cbf500f57c8b517999eb63643"></a>
VERTEX_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_indexed_veretex</b> (ID_TYPE index)</td></tr>
<tr class="separator:a3ea9d08cbf500f57c8b517999eb63643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0036ab0c9609b21ec721995d17404f50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0036ab0c9609b21ec721995d17404f50"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_connected</b> (ID_TYPE &amp;src, ID_TYPE &amp;target)</td></tr>
<tr class="separator:a0036ab0c9609b21ec721995d17404f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2d05dcee0b7a489a8745d253505db54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2d05dcee0b7a489a8745d253505db54"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:ad2d05dcee0b7a489a8745d253505db54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b64c437d28cc8044a4cccd2571bd8c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b64c437d28cc8044a4cccd2571bd8c3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_directed</b> ()</td></tr>
<tr class="separator:a9b64c437d28cc8044a4cccd2571bd8c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a43fc45f9365a235b5eddb456ba600f6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43fc45f9365a235b5eddb456ba600f6b"></a>
VERTEX_LIST_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>verticesList</b></td></tr>
<tr class="separator:a43fc45f9365a235b5eddb456ba600f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="graph__seq_8hpp_source.html">graph_seq.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
